Bug 1819105 (CVE-2020-2111) - CVE-2020-2111 jenkins-subversion-plugin: XSS in project repository base url
Summary: CVE-2020-2111 jenkins-subversion-plugin: XSS in project repository base url
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-2111
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1819530 1819538 1819544 1819647 1820007 1820008 1873177 1873182
Blocks: 1819075
TreeView+ depends on / blocked
 
Reported: 2020-03-31 08:37 UTC by Dhananjay Arunesh
Modified: 2021-02-16 20:22 UTC (History)
10 users (show)

Fixed In Version: jenkins-subversion-plugin 2.13.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-17 23:20:37 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2478 0 None None None 2020-06-17 22:38:22 UTC
Red Hat Product Errata RHSA-2020:2737 0 None None None 2020-06-29 14:42:00 UTC
Red Hat Product Errata RHSA-2020:3616 0 None None None 2020-09-09 15:22:29 UTC

Description Dhananjay Arunesh 2020-03-31 08:37:24 UTC
A vulnerability was found in Jenkins Subversion Plugin 2.13.0 and earlier does not escape the error message for the Project Repository Base URL field form validation, resulting in a stored cross-site scripting vulnerability.

Reference:
http://www.openwall.com/lists/oss-security/2020/02/12/3

Comment 1 Dhananjay Arunesh 2020-03-31 08:38:17 UTC
Created subversion tracking bugs for this issue:

Affects: fedora-all [bug 1819106]

Comment 2 Dhananjay Arunesh 2020-03-31 08:38:49 UTC
External References:

https://jenkins.io/security/advisory/2020-02-12/#SECURITY-1725

Comment 5 errata-xmlrpc 2020-06-17 22:38:20 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 3.11

Via RHSA-2020:2478 https://access.redhat.com/errata/RHSA-2020:2478

Comment 6 Product Security DevOps Team 2020-06-17 23:20:37 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-2111

Comment 7 errata-xmlrpc 2020-06-29 14:41:57 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.4

Via RHSA-2020:2737 https://access.redhat.com/errata/RHSA-2020:2737

Comment 8 errata-xmlrpc 2020-09-09 15:22:27 UTC
This issue has been addressed in the following products:

  Red Hat OpenShift Container Platform 4.3

Via RHSA-2020:3616 https://access.redhat.com/errata/RHSA-2020:3616


Note You need to log in before you can comment on or make changes to this bug.